Mail::Message::Convert::EmailSimple(3)

NAME
Mail::Message::Convert::EmailSimple - translate Mail::Message to Email::Simple vv

INHERITANCE
 Mail::Message::Convert::EmailSimple
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::EmailSimple;
  my $convert = Mail::Message::Convert::EmailSimple->new;

  my Mail::Message $msg    = Mail::Message->new;
  my Email::Simple $intern = $convert->export($msg);

  my Email::Simple $intern = Mail::Internet->new;
  my Mail::Message $msg    = $convert->from($intern);

  use Mail::Box::Manager;
  my $mgr     = Mail::Box::Manager->new;
  my $folder  = $mgr->open(folder => 'Outbox');
  $folder->addMessage($intern);

DESCRIPTION
The Email::Simple class is one of the base objects used by the large set of Email* modules, which implement many e-mail needs which are also supported by MailBox. You can use this class to gradularly move from a Email* based implementation into a MailBox implementation.

The internals of this class are far from optimal. The conversion does work (thanks to Ricardo Signes), but is expensive in time and memory usage. It could easily be optimized.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    Inherited, see "METHODS" in Mail::Message::Convert

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->export($message, %options)
    Returns a new Email::Simple object based on the information from a Mail::Message object. The $message specified is an instance of a Mail::Message.

    » example:

      my $convert = Mail::Message::Convert::EmailSimple->new;
      my Mail::Message  $msg   = Mail::Message->new;
      my Mail::Internet $copy  = $convert->export($msg);

$obj->from($object, %options)
    Returns a new Mail::Message object based on the information from an Email::Simple.

    » example:

      my $convert = Mail::Message::Convert::EmailSimple->new;
      my Mail::Internet $msg  = Mail::Internet->new;
      my Mail::Message  $copy = $convert->from($msg);

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: converting from Email::Simple but got a $class.
    Cast by from()

Error: export message must be a Mail::Message, but is a $class.
    Cast by export()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.